package com.bayread.sensors.service;

import lombok.extern.slf4j.Slf4j;
import org.springframework.http.converter.HttpMessageNotReadableException;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

/**
 * @author martin.ad
 * @Description:
 * @date 创建时间： 2022/11/4 17:13
 */
@RestControllerAdvice
@Slf4j
public class GlobalExceptionHandler {

    @ExceptionHandler(Exception.class)
    public String exceptionHandler(Exception e) {
        if(e instanceof HttpMessageNotReadableException){
            log.error("timeout",e);
        }else{
            e.printStackTrace();
            log.error("exceptionHandler",e);
        }

        return "error";
    }

}
